| AI Engine-ML Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Emulated Multiply-accumulate of 16-bit Complex Brain Floating-Point
Vector Operations » Multiply Accumulate

## Overview

Elementwise matrix multiplications emulated on top of bfloat16.

## Multiplication of (2x8) with (8x2) bfloat16 and complex bfloat16
v4caccfloat | mul_2x8_8x2 (v16bfloat16 a, v16cbfloat16 b)
v4caccfloat | negmul_2x8_8x2 (v16bfloat16 a, v16cbfloat16 b)
v4caccfloat | mac_2x8_8x2 (v16bfloat16 a, v16cbfloat16 b, v4caccfloat acc1)
v4caccfloat | msc_2x8_8x2 (v16bfloat16 a, v16cbfloat16 b, v4caccfloat acc1)
v4caccfloat | addmac_2x8_8x2 (v16bfloat16 a, v16cbfloat16 b, v4caccfloat acc1, v4caccfloat acc2)
v4caccfloat | addmsc_2x8_8x2 (v16bfloat16 a, v16cbfloat16 b, v4caccfloat acc1, v4caccfloat acc2)

## Multiplication of (2x8) with (8x2) complex bfloat16 and bfloat16
v4caccfloat | mul_2x8_8x2 (v16cbfloat16 a, v16bfloat16 b)
v4caccfloat | negmul_2x8_8x2 (v16cbfloat16 a, v16bfloat16 b)
v4caccfloat | mac_2x8_8x2 (v16cbfloat16 a, v16bfloat16 b, v4caccfloat acc1)
v4caccfloat | msc_2x8_8x2 (v16cbfloat16 a, v16bfloat16 b, v4caccfloat acc1)
v4caccfloat | addmac_2x8_8x2 (v16cbfloat16 a, v16bfloat16 b, v4caccfloat acc1, v4caccfloat acc2)
v4caccfloat | addmsc_2x8_8x2 (v16cbfloat16 a, v16bfloat16 b, v4caccfloat acc1, v4caccfloat acc2)

## Multiplication of (2x8) with (8x2) complex bfloat16 and complex bfloat16
v4caccfloat | mul_2x8_8x2 (v16cbfloat16 a, v16cbfloat16 b)
v4caccfloat | negmul_2x8_8x2 (v16cbfloat16 a, v16cbfloat16 b)
v4caccfloat | mac_2x8_8x2 (v16cbfloat16 a, v16cbfloat16 b, v4caccfloat acc1)
v4caccfloat | msc_2x8_8x2 (v16cbfloat16 a, v16cbfloat16 b, v4caccfloat acc1)
v4caccfloat | addmac_2x8_8x2 (v16cbfloat16 a, v16cbfloat16 b, v4caccfloat acc1, v4caccfloat acc2)
v4caccfloat | addmsc_2x8_8x2 (v16cbfloat16 a, v16cbfloat16 b, v4caccfloat acc1, v4caccfloat acc2)

## Multiplication of (2x8) with (8x2) bfloat16 and complex bfloat16 with dynamic negation of multiplication result
v4caccfloat | mul_2x8_8x2_conf (v16bfloat16 a, v16cbfloat16 b, int sub_mul)
v4caccfloat | negmul_2x8_8x2_conf (v16bfloat16 a, v16cbfloat16 b, int sub_mul)

## Multiplication of (2x8) with (8x2) complex bfloat16 and bfloat16 with dynamic negation of multiplication result
v4caccfloat | mul_2x8_8x2_conf (v16cbfloat16 a, v16bfloat16 b, int sub_mul)
v4caccfloat | negmul_2x8_8x2_conf (v16cbfloat16 a, v16bfloat16 b, int sub_mul)

## Multiplication of (2x8) with (8x2) complex bfloat16 and complex bfloat16 with dynamic negation of multiplication result
v4caccfloat | mul_2x8_8x2_conf (v16cbfloat16 a, v16cbfloat16 b, int sub_mul)
v4caccfloat | negmul_2x8_8x2_conf (v16cbfloat16 a, v16cbfloat16 b, int sub_mul)

## Multiplication of (2x8) with (8x2) bfloat16 and complex bfloat16 with dynamic negation of multiplication result, zeroing of acc1, and negation of acc1
v4caccfloat | mac_2x8_8x2_conf (v16bfloat16 v1, v16cbfloat16 v2, v4caccfloat acc1, int zero_acc1, int sub_mul, int sub_acc1)
v4caccfloat | msc_2x8_8x2_conf (v16bfloat16 v1, v16cbfloat16 v2, v4caccfloat acc1, int zero_acc1, int sub_mul, int sub_acc1)
v4caccfloat | addmac_2x8_8x2_conf (v16bfloat16 v1, v16cbfloat16 v2, v4caccfloat acc1, v4caccfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v4caccfloat | addmsc_2x8_8x2_conf (v16bfloat16 v1, v16cbfloat16 v2, v4caccfloat acc1, v4caccfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)

## Multiplication of (2x8) with (8x2) complex bfloat16 and bfloat16 with dynamic negation of multiplication result, zeroing of acc1, and negation of acc1
v4caccfloat | mac_2x8_8x2_conf (v16cbfloat16 v1, v16bfloat16 v2, v4caccfloat acc1, int zero_acc1, int sub_mul, int sub_acc1)
v4caccfloat | msc_2x8_8x2_conf (v16cbfloat16 v1, v16bfloat16 v2, v4caccfloat acc1, int zero_acc1, int sub_mul, int sub_acc1)
v4caccfloat | addmac_2x8_8x2_conf (v16cbfloat16 v1, v16bfloat16 v2, v4caccfloat acc1, v4caccfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v4caccfloat | addmsc_2x8_8x2_conf (v16cbfloat16 v1, v16bfloat16 v2, v4caccfloat acc1, v4caccfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)

## Multiplication of (2x8) with (8x2) complex bfloat16 and complex bfloat16 with dynamic negation of multiplication result, zeroing of acc1, and negation of acc1
v4caccfloat | mac_2x8_8x2_conf (v16cbfloat16 v1, v16cbfloat16 v2, v4caccfloat acc1, int zero_acc1, int sub_mul, int sub_acc1)
v4caccfloat | msc_2x8_8x2_conf (v16cbfloat16 v1, v16cbfloat16 v2, v4caccfloat acc1, int zero_acc1, int sub_mul, int sub_acc1)
v4caccfloat | addmac_2x8_8x2_conf (v16cbfloat16 v1, v16cbfloat16 v2, v4caccfloat acc1, v4caccfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v4caccfloat | addmsc_2x8_8x2_conf (v16cbfloat16 v1, v16cbfloat16 v2, v4caccfloat acc1, v4caccfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)

## channel by channel multiplication of (1x2) with (2x1) complex bfloat16 and complex bfloat16
v8caccfloat | mul_elem_8_2 (v16cbfloat16 v1, v16cbfloat16 v2)
v8caccfloat | negmul_elem_8_2 (v16cbfloat16 v1, v16cbfloat16 v2)
v8caccfloat | mac_elem_8_2 (v16cbfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1)
v8caccfloat | msc_elem_8_2 (v16cbfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1)
v8caccfloat | addmac_elem_8_2 (v16cbfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, v8caccfloat acc2)
v8caccfloat | addmsc_elem_8_2 (v16cbfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, v8caccfloat acc2)

## channel by channel multiplication of (1x2) with (2x1) bfloat16 and complex bfloat16
v8caccfloat | mul_elem_8_2 (v16bfloat16 v1, v16cbfloat16 v2)
v8caccfloat | negmul_elem_8_2 (v16bfloat16 v1, v16cbfloat16 v2)
v8caccfloat | mac_elem_8_2 (v16bfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1)
v8caccfloat | msc_elem_8_2 (v16bfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1)
v8caccfloat | addmac_elem_8_2 (v16bfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, v8caccfloat acc2)
v8caccfloat | addmsc_elem_8_2 (v16bfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, v8caccfloat acc2)

## channel by channel multiplication of (1x2) with (2x1) complex bfloat16 and bfloat16
v8caccfloat | mul_elem_8_2 (v16cbfloat16 v1, v16bfloat16 v2)
v8caccfloat | negmul_elem_8_2 (v16cbfloat16 v1, v16bfloat16 v2)
v8caccfloat | mac_elem_8_2 (v16cbfloat16 v1, v16bfloat16 v2, v8caccfloat acc1)
v8caccfloat | msc_elem_8_2 (v16cbfloat16 v1, v16bfloat16 v2, v8caccfloat acc1)
v8caccfloat | addmac_elem_8_2 (v16cbfloat16 v1, v16bfloat16 v2, v8caccfloat acc1, v8caccfloat acc2)
v8caccfloat | addmsc_elem_8_2 (v16cbfloat16 v1, v16bfloat16 v2, v8caccfloat acc1, v8caccfloat acc2)

## channel by channel multiplication of (1x2) with (2x1) for complex bfloat16 and complex bfloat16 with dynamic negation of multiplication result
v8caccfloat | mul_elem_8_2_conf (v16cbfloat16 v1, v16cbfloat16 v2, int sub_mul)
v8caccfloat | negmul_elem_8_2_conf (v16cbfloat16 v1, v16cbfloat16 v2, int sub_mul)

## channel by channel multiplication of (1x2) with (2x1) for complex bfloat16 and complex bfloat16 with dynamic negation of multiplication result, zeroing of acc1, and negation of acc1
v8caccfloat | mac_elem_8_2_conf (v16cbfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, int zero_acc1, int sub_mul, int sub_acc1)
v8caccfloat | msc_elem_8_2_conf (v16cbfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, int zero_acc1, int sub_mul, int sub_acc1)
v8caccfloat | addmac_elem_8_2_conf (v16cbfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v8caccfloat | submac_elem_8_2_conf (v16cbfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v8caccfloat | addmsc_elem_8_2_conf (v16cbfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v8caccfloat | submsc_elem_8_2_conf (v16cbfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)

## channel by channel multiplication of (1x2) with (2x1) for complex cbfloat16 and bfloat16 with dynamic negation of multiplication result
v8caccfloat | mul_elem_8_2_conf (v16cbfloat16 v1, v16bfloat16 v2, int sub_mul)
v8caccfloat | negmul_elem_8_2_conf (v16cbfloat16 v1, v16bfloat16 v2, int sub_mul)

## channel by channel multiplication of (1x2) with (2x1) for complex bfloat16 and bfloat16 with dynamic negation of multiplication result, zeroing of acc1, and negation of acc1
v8caccfloat | mac_elem_8_2_conf (v16cbfloat16 v1, v16bfloat16 v2, v8caccfloat acc1, int zero_acc1, int sub_mul, int sub_acc1)
v8caccfloat | msc_elem_8_2_conf (v16cbfloat16 v1, v16bfloat16 v2, v8caccfloat acc1, int zero_acc1, int sub_mul, int sub_acc1)
v8caccfloat | addmac_elem_8_2_conf (v16cbfloat16 v1, v16bfloat16 v2, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v8caccfloat | addmsc_elem_8_2_conf (v16cbfloat16 v1, v16bfloat16 v2, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)

## channel by channel multiplication of (1x2) with (2x1) for bfloat16 and complex bfloat16 with dynamic negation of multiplication result
v8caccfloat | mul_elem_8_2_conf (v16bfloat16 v1, v16cbfloat16 v2, int sub_mul)
v8caccfloat | negmul_elem_8_2_conf (v16bfloat16 v1, v16cbfloat16 v2, int sub_mul)

## channel by channel multiplication of (1x2) with (2x1) for bfloat16 and complex bfloat16 with dynamic negation of multiplication result, zeroing of acc1, and negation of acc1
v8caccfloat | mac_elem_8_2_conf (v16bfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, int zero_acc1, int sub_mul, int sub_acc1)
v8caccfloat | msc_elem_8_2_conf (v16bfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, int zero_acc1, int sub_mul, int sub_acc1)
v8caccfloat | addmac_elem_8_2_conf (v16bfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)
v8caccfloat | addmsc_elem_8_2_conf (v16bfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mul, int sub_acc1, int sub_acc2)

## Emulated vector float operations with dynamic negation of multiplication result, zeroing of acc1, negation of acc1
v8caccfloat | mul_elem_8_2_conf (v16cbfloat16 v1, v16cbfloat16 v2, int sub_mask, int sub_mul)
v8caccfloat | negmul_elem_8_2_conf (v16cbfloat16 v1, v16cbfloat16 v2, int sub_mask, int sub_mul)
v8caccfloat | mac_elem_8_2_conf (v16cbfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1)
v8caccfloat | msc_elem_8_2_conf (v16cbfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1)
v8caccfloat | addmac_elem_8_2_conf (v16cbfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v8caccfloat | addmsc_elem_8_2_conf (v16cbfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v8caccfloat | mul_elem_8_2_conf (v16cbfloat16 v1, v16bfloat16 v2, int sub_mask, int sub_mul)
v8caccfloat | negmul_elem_8_2_conf (v16cbfloat16 v1, v16bfloat16 v2, int sub_mask, int sub_mul)
v8caccfloat | mac_elem_8_2_conf (v16cbfloat16 v1, v16bfloat16 v2, v8caccfloat acc1, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1)
v8caccfloat | msc_elem_8_2_conf (v16cbfloat16 v1, v16bfloat16 v2, v8caccfloat acc1, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1)
v8caccfloat | addmac_elem_8_2_conf (v16cbfloat16 v1, v16bfloat16 v2, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v8caccfloat | addmsc_elem_8_2_conf (v16cbfloat16 v1, v16bfloat16 v2, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v8caccfloat | mul_elem_8_2_conf (v16bfloat16 v1, v16cbfloat16 v2, int sub_mask, int sub_mul)
v8caccfloat | negmul_elem_8_2_conf (v16bfloat16 v1, v16cbfloat16 v2, int sub_mask, int sub_mul)
v8caccfloat | mac_elem_8_2_conf (v16bfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1)
v8caccfloat | msc_elem_8_2_conf (v16bfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1)
v8caccfloat | addmac_elem_8_2_conf (v16bfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v8caccfloat | addmsc_elem_8_2_conf (v16bfloat16 v1, v16cbfloat16 v2, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)

## Emulated vector float operations with dynamic sign, dynamic negation of multiplication result, zeroing of acc1, negation of acc1
v8caccfloat | mul_elem_8_2_conf (v16cbfloat16 v1, int sgn_x, v16cbfloat16 v2, int sgn_y, int sub_mask, int sub_mul)
v8caccfloat | negmul_elem_8_2_conf (v16cbfloat16 v1, int sgn_x, v16cbfloat16 v2, int sgn_y, int sub_mask, int sub_mul)
v8caccfloat | mac_elem_8_2_conf (v16cbfloat16 v1, int sgn_x, v16cbfloat16 v2, int sgn_y, v8caccfloat acc1, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1)
v8caccfloat | msc_elem_8_2_conf (v16cbfloat16 v1, int sgn_x, v16cbfloat16 v2, int sgn_y, v8caccfloat acc1, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1)
v8caccfloat | addmac_elem_8_2_conf (v16cbfloat16 v1, int sgn_x, v16cbfloat16 v2, int sgn_y, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v8caccfloat | addmsc_elem_8_2_conf (v16cbfloat16 v1, int sgn_x, v16cbfloat16 v2, int sgn_y, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v8caccfloat | mul_elem_8_2_conf (v16cbfloat16 v1, int sgn_x, v16bfloat16 v2, int sgn_y, int sub_mask, int sub_mul)
v8caccfloat | negmul_elem_8_2_conf (v16cbfloat16 v1, int sgn_x, v16bfloat16 v2, int sgn_y, int sub_mask, int sub_mul)
v8caccfloat | mac_elem_8_2_conf (v16cbfloat16 v1, int sgn_x, v16bfloat16 v2, int sgn_y, v8caccfloat acc1, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1)
v8caccfloat | msc_elem_8_2_conf (v16cbfloat16 v1, int sgn_x, v16bfloat16 v2, int sgn_y, v8caccfloat acc1, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1)
v8caccfloat | addmac_elem_8_2_conf (v16cbfloat16 v1, int sgn_x, v16bfloat16 v2, int sgn_y, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v8caccfloat | addmsc_elem_8_2_conf (v16cbfloat16 v1, int sgn_x, v16bfloat16 v2, int sgn_y, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v8caccfloat | mul_elem_8_2_conf (v16bfloat16 v1, int sgn_x, v16cbfloat16 v2, int sgn_y, int sub_mask, int sub_mul)
v8caccfloat | negmul_elem_8_2_conf (v16bfloat16 v1, int sgn_x, v16cbfloat16 v2, int sgn_y, int sub_mask, int sub_mul)
v8caccfloat | mac_elem_8_2_conf (v16bfloat16 v1, int sgn_x, v16cbfloat16 v2, int sgn_y, v8caccfloat acc1, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1)
v8caccfloat | msc_elem_8_2_conf (v16bfloat16 v1, int sgn_x, v16cbfloat16 v2, int sgn_y, v8caccfloat acc1, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1)
v8caccfloat | addmac_elem_8_2_conf (v16bfloat16 v1, int sgn_x, v16cbfloat16 v2, int sgn_y, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)
v8caccfloat | addmsc_elem_8_2_conf (v16bfloat16 v1, int sgn_x, v16cbfloat16 v2, int sgn_y, v8caccfloat acc1, v8caccfloat acc2, int zero_acc1, int sub_mask, int sub_mul, int sub_acc1, int sub_acc2)

## Function Documentation

## ◆ addmac_2x8_8x2() [1/3]

v4caccfloat addmac_2x8_8x2 | ( | v16bfloat16 | a,
|  | v16cbfloat16 | b,
|  | v4caccfloat | acc1,
|  | v4caccfloat | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmac_2x8_8x2() [2/3]

v4caccfloat addmac_2x8_8x2 | ( | v16cbfloat16 | a,
|  | v16bfloat16 | b,
|  | v4caccfloat | acc1,
|  | v4caccfloat | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmac_2x8_8x2() [3/3]

v4caccfloat addmac_2x8_8x2 | ( | v16cbfloat16 | a,
|  | v16cbfloat16 | b,
|  | v4caccfloat | acc1,
|  | v4caccfloat | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmac_2x8_8x2_conf() [1/3]

v4caccfloat addmac_2x8_8x2_conf | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v4caccfloat | acc1,
|  | v4caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmac_2x8_8x2_conf() [2/3]

v4caccfloat addmac_2x8_8x2_conf | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | v4caccfloat | acc1,
|  | v4caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmac_2x8_8x2_conf() [3/3]

v4caccfloat addmac_2x8_8x2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v4caccfloat | acc1,
|  | v4caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmac_elem_8_2() [1/3]

v8caccfloat addmac_elem_8_2 | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmac_elem_8_2() [2/3]

v8caccfloat addmac_elem_8_2 | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmac_elem_8_2() [3/3]

v8caccfloat addmac_elem_8_2 | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmac_elem_8_2_conf() [1/9]

v8caccfloat addmac_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | int | sgn_x,
|  | v16cbfloat16 | v2,
|  | int | sgn_y,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  acc1 | Accumulator 1
  acc2 | Accumulator 2
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmac_elem_8_2_conf() [2/9]

v8caccfloat addmac_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  acc1 | Accumulator 1
  acc2 | Accumulator 2
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmac_elem_8_2_conf() [3/9]

v8caccfloat addmac_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmac_elem_8_2_conf() [4/9]

v8caccfloat addmac_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | int | sgn_x,
|  | v16bfloat16 | v2,
|  | int | sgn_y,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  acc1 | Accumulator 1
  acc2 | Accumulator 2
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmac_elem_8_2_conf() [5/9]

v8caccfloat addmac_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | int | sgn_x,
|  | v16cbfloat16 | v2,
|  | int | sgn_y,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  acc1 | Accumulator 1
  acc2 | Accumulator 2
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmac_elem_8_2_conf() [6/9]

v8caccfloat addmac_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  acc1 | Accumulator 1
  acc2 | Accumulator 2
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmac_elem_8_2_conf() [7/9]

v8caccfloat addmac_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmac_elem_8_2_conf() [8/9]

v8caccfloat addmac_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  acc1 | Accumulator 1
  acc2 | Accumulator 2
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmac_elem_8_2_conf() [9/9]

v8caccfloat addmac_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmsc_2x8_8x2() [1/3]

v4caccfloat addmsc_2x8_8x2 | ( | v16bfloat16 | a,
|  | v16cbfloat16 | b,
|  | v4caccfloat | acc1,
|  | v4caccfloat | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmsc_2x8_8x2() [2/3]

v4caccfloat addmsc_2x8_8x2 | ( | v16cbfloat16 | a,
|  | v16bfloat16 | b,
|  | v4caccfloat | acc1,
|  | v4caccfloat | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmsc_2x8_8x2() [3/3]

v4caccfloat addmsc_2x8_8x2 | ( | v16cbfloat16 | a,
|  | v16cbfloat16 | b,
|  | v4caccfloat | acc1,
|  | v4caccfloat | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmsc_2x8_8x2_conf() [1/3]

v4caccfloat addmsc_2x8_8x2_conf | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v4caccfloat | acc1,
|  | v4caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmsc_2x8_8x2_conf() [2/3]

v4caccfloat addmsc_2x8_8x2_conf | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | v4caccfloat | acc1,
|  | v4caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmsc_2x8_8x2_conf() [3/3]

v4caccfloat addmsc_2x8_8x2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v4caccfloat | acc1,
|  | v4caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmsc_elem_8_2() [1/3]

v8caccfloat addmsc_elem_8_2 | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmsc_elem_8_2() [2/3]

v8caccfloat addmsc_elem_8_2 | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmsc_elem_8_2() [3/3]

v8caccfloat addmsc_elem_8_2 | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input

Returns
  Result of operation

## ◆ addmsc_elem_8_2_conf() [1/9]

v8caccfloat addmsc_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | int | sgn_x,
|  | v16cbfloat16 | v2,
|  | int | sgn_y,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  acc1 | Accumulator 1
  acc2 | Accumulator 2
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmsc_elem_8_2_conf() [2/9]

v8caccfloat addmsc_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  acc1 | Accumulator 1
  acc2 | Accumulator 2
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmsc_elem_8_2_conf() [3/9]

v8caccfloat addmsc_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmsc_elem_8_2_conf() [4/9]

v8caccfloat addmsc_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | int | sgn_x,
|  | v16bfloat16 | v2,
|  | int | sgn_y,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  acc1 | Accumulator 1
  acc2 | Accumulator 2
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmsc_elem_8_2_conf() [5/9]

v8caccfloat addmsc_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | int | sgn_x,
|  | v16cbfloat16 | v2,
|  | int | sgn_y,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  acc1 | Accumulator 1
  acc2 | Accumulator 2
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmsc_elem_8_2_conf() [6/9]

v8caccfloat addmsc_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  acc1 | Accumulator 1
  acc2 | Accumulator 2
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmsc_elem_8_2_conf() [7/9]

v8caccfloat addmsc_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmsc_elem_8_2_conf() [8/9]

v8caccfloat addmsc_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  acc1 | Accumulator 1
  acc2 | Accumulator 2
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ addmsc_elem_8_2_conf() [9/9]

v8caccfloat addmsc_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ mac_2x8_8x2() [1/3]

v4caccfloat mac_2x8_8x2 | ( | v16bfloat16 | a,
|  | v16cbfloat16 | b,
|  | v4caccfloat | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ mac_2x8_8x2() [2/3]

v4caccfloat mac_2x8_8x2 | ( | v16cbfloat16 | a,
|  | v16bfloat16 | b,
|  | v4caccfloat | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ mac_2x8_8x2() [3/3]

v4caccfloat mac_2x8_8x2 | ( | v16cbfloat16 | a,
|  | v16cbfloat16 | b,
|  | v4caccfloat | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ mac_2x8_8x2_conf() [1/3]

v4caccfloat mac_2x8_8x2_conf | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v4caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ mac_2x8_8x2_conf() [2/3]

v4caccfloat mac_2x8_8x2_conf | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | v4caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ mac_2x8_8x2_conf() [3/3]

v4caccfloat mac_2x8_8x2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v4caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ mac_elem_8_2() [1/3]

v8caccfloat mac_elem_8_2 | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ mac_elem_8_2() [2/3]

v8caccfloat mac_elem_8_2 | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | v8caccfloat | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ mac_elem_8_2() [3/3]

v8caccfloat mac_elem_8_2 | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ mac_elem_8_2_conf() [1/9]

v8caccfloat mac_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | int | sgn_x,
|  | v16cbfloat16 | v2,
|  | int | sgn_y,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  acc1 | Accumulator 1
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ mac_elem_8_2_conf() [2/9]

v8caccfloat mac_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  acc1 | Accumulator 1
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ mac_elem_8_2_conf() [3/9]

v8caccfloat mac_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ mac_elem_8_2_conf() [4/9]

v8caccfloat mac_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | int | sgn_x,
|  | v16bfloat16 | v2,
|  | int | sgn_y,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  acc1 | Accumulator 1
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ mac_elem_8_2_conf() [5/9]

v8caccfloat mac_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | int | sgn_x,
|  | v16cbfloat16 | v2,
|  | int | sgn_y,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  acc1 | Accumulator 1
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ mac_elem_8_2_conf() [6/9]

v8caccfloat mac_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  acc1 | Accumulator 1
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ mac_elem_8_2_conf() [7/9]

v8caccfloat mac_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ mac_elem_8_2_conf() [8/9]

v8caccfloat mac_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  acc1 | Accumulator 1
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ mac_elem_8_2_conf() [9/9]

v8caccfloat mac_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ msc_2x8_8x2() [1/3]

v4caccfloat msc_2x8_8x2 | ( | v16bfloat16 | a,
|  | v16cbfloat16 | b,
|  | v4caccfloat | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ msc_2x8_8x2() [2/3]

v4caccfloat msc_2x8_8x2 | ( | v16cbfloat16 | a,
|  | v16bfloat16 | b,
|  | v4caccfloat | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ msc_2x8_8x2() [3/3]

v4caccfloat msc_2x8_8x2 | ( | v16cbfloat16 | a,
|  | v16cbfloat16 | b,
|  | v4caccfloat | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ msc_2x8_8x2_conf() [1/3]

v4caccfloat msc_2x8_8x2_conf | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v4caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ msc_2x8_8x2_conf() [2/3]

v4caccfloat msc_2x8_8x2_conf | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | v4caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ msc_2x8_8x2_conf() [3/3]

v4caccfloat msc_2x8_8x2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v4caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ msc_elem_8_2() [1/3]

v8caccfloat msc_elem_8_2 | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ msc_elem_8_2() [2/3]

v8caccfloat msc_elem_8_2 | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | v8caccfloat | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ msc_elem_8_2() [3/3]

v8caccfloat msc_elem_8_2 | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input

Returns
  Result of operation

## ◆ msc_elem_8_2_conf() [1/9]

v8caccfloat msc_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | int | sgn_x,
|  | v16cbfloat16 | v2,
|  | int | sgn_y,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  acc1 | Accumulator 1
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ msc_elem_8_2_conf() [2/9]

v8caccfloat msc_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  acc1 | Accumulator 1
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ msc_elem_8_2_conf() [3/9]

v8caccfloat msc_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ msc_elem_8_2_conf() [4/9]

v8caccfloat msc_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | int | sgn_x,
|  | v16bfloat16 | v2,
|  | int | sgn_y,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  acc1 | Accumulator 1
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ msc_elem_8_2_conf() [5/9]

v8caccfloat msc_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | int | sgn_x,
|  | v16cbfloat16 | v2,
|  | int | sgn_y,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  acc1 | Accumulator 1
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ msc_elem_8_2_conf() [6/9]

v8caccfloat msc_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  acc1 | Accumulator 1
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ msc_elem_8_2_conf() [7/9]

v8caccfloat msc_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ msc_elem_8_2_conf() [8/9]

v8caccfloat msc_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mask,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  acc1 | Accumulator 1
  zero_acc1 | Zeroing mask for acc1
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1

Returns
  Result of operation

## ◆ msc_elem_8_2_conf() [9/9]

v8caccfloat msc_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ mul_2x8_8x2() [1/3]

v4caccfloat mul_2x8_8x2 | ( | v16bfloat16 | a,
|  | v16cbfloat16 | b )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ mul_2x8_8x2() [2/3]

v4caccfloat mul_2x8_8x2 | ( | v16cbfloat16 | a,
|  | v16bfloat16 | b )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ mul_2x8_8x2() [3/3]

v4caccfloat mul_2x8_8x2 | ( | v16cbfloat16 | a,
|  | v16cbfloat16 | b )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ mul_2x8_8x2_conf() [1/3]

v4caccfloat mul_2x8_8x2_conf | ( | v16bfloat16 | a,
|  | v16cbfloat16 | b,
|  | int | sub_mul )

Parameters

  a | Matrix A
  b | Matrix B
  sub_mul | Negation mask for multiplication result

Returns
  Result of operation

## ◆ mul_2x8_8x2_conf() [2/3]

v4caccfloat mul_2x8_8x2_conf | ( | v16cbfloat16 | a,
|  | v16bfloat16 | b,
|  | int | sub_mul )

Parameters

  a | Matrix A
  b | Matrix B
  sub_mul | Negation mask for multiplication result

Returns
  Result of operation

## ◆ mul_2x8_8x2_conf() [3/3]

v4caccfloat mul_2x8_8x2_conf | ( | v16cbfloat16 | a,
|  | v16cbfloat16 | b,
|  | int | sub_mul )

Parameters

  a | Matrix A
  b | Matrix B
  sub_mul | Negation mask for multiplication result

Returns
  Result of operation

## ◆ mul_elem_8_2() [1/3]

v8caccfloat mul_elem_8_2 | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2 )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ mul_elem_8_2() [2/3]

v8caccfloat mul_elem_8_2 | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2 )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ mul_elem_8_2() [3/3]

v8caccfloat mul_elem_8_2 | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2 )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ mul_elem_8_2_conf() [1/9]

v8caccfloat mul_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | int | sgn_x,
|  | v16cbfloat16 | v2,
|  | int | sgn_y,
|  | int | sub_mask,
|  | int | sub_mul )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ mul_elem_8_2_conf() [2/9]

v8caccfloat mul_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | int | sub_mask,
|  | int | sub_mul )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ mul_elem_8_2_conf() [3/9]

v8caccfloat mul_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | int | sub_mul )

Parameters

  a | Matrix A
  b | Matrix B
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ mul_elem_8_2_conf() [4/9]

v8caccfloat mul_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | int | sgn_x,
|  | v16bfloat16 | v2,
|  | int | sgn_y,
|  | int | sub_mask,
|  | int | sub_mul )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ mul_elem_8_2_conf() [5/9]

v8caccfloat mul_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | int | sgn_x,
|  | v16cbfloat16 | v2,
|  | int | sgn_y,
|  | int | sub_mask,
|  | int | sub_mul )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ mul_elem_8_2_conf() [6/9]

v8caccfloat mul_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | int | sub_mask,
|  | int | sub_mul )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ mul_elem_8_2_conf() [7/9]

v8caccfloat mul_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | int | sub_mul )

Parameters

  a | Matrix A
  b | Matrix B
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ mul_elem_8_2_conf() [8/9]

v8caccfloat mul_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | int | sub_mask,
|  | int | sub_mul )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ mul_elem_8_2_conf() [9/9]

v8caccfloat mul_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | int | sub_mul )

Parameters

  a | Matrix A
  b | Matrix B
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ negmul_2x8_8x2() [1/3]

v4caccfloat negmul_2x8_8x2 | ( | v16bfloat16 | a,
|  | v16cbfloat16 | b )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ negmul_2x8_8x2() [2/3]

v4caccfloat negmul_2x8_8x2 | ( | v16cbfloat16 | a,
|  | v16bfloat16 | b )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ negmul_2x8_8x2() [3/3]

v4caccfloat negmul_2x8_8x2 | ( | v16cbfloat16 | a,
|  | v16cbfloat16 | b )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ negmul_2x8_8x2_conf() [1/3]

v4caccfloat negmul_2x8_8x2_conf | ( | v16bfloat16 | a,
|  | v16cbfloat16 | b,
|  | int | sub_mul )

Parameters

  a | Matrix A
  b | Matrix B
  sub_mul | Negation mask for multiplication result

Returns
  Result of operation

## ◆ negmul_2x8_8x2_conf() [2/3]

v4caccfloat negmul_2x8_8x2_conf | ( | v16cbfloat16 | a,
|  | v16bfloat16 | b,
|  | int | sub_mul )

Parameters

  a | Matrix A
  b | Matrix B
  sub_mul | Negation mask for multiplication result

Returns
  Result of operation

## ◆ negmul_2x8_8x2_conf() [3/3]

v4caccfloat negmul_2x8_8x2_conf | ( | v16cbfloat16 | a,
|  | v16cbfloat16 | b,
|  | int | sub_mul )

Parameters

  a | Matrix A
  b | Matrix B
  sub_mul | Negation mask for multiplication result

Returns
  Result of operation

## ◆ negmul_elem_8_2() [1/3]

v8caccfloat negmul_elem_8_2 | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2 )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ negmul_elem_8_2() [2/3]

v8caccfloat negmul_elem_8_2 | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2 )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ negmul_elem_8_2() [3/3]

v8caccfloat negmul_elem_8_2 | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2 )

Parameters

  a | Matrix A
  b | Matrix B

Returns
  Result of operation

## ◆ negmul_elem_8_2_conf() [1/9]

v8caccfloat negmul_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | int | sgn_x,
|  | v16cbfloat16 | v2,
|  | int | sgn_y,
|  | int | sub_mask,
|  | int | sub_mul )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ negmul_elem_8_2_conf() [2/9]

v8caccfloat negmul_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | int | sub_mask,
|  | int | sub_mul )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ negmul_elem_8_2_conf() [3/9]

v8caccfloat negmul_elem_8_2_conf | ( | v16bfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | int | sub_mul )

Parameters

  a | Matrix A
  b | Matrix B
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ negmul_elem_8_2_conf() [4/9]

v8caccfloat negmul_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | int | sgn_x,
|  | v16bfloat16 | v2,
|  | int | sgn_y,
|  | int | sub_mask,
|  | int | sub_mul )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ negmul_elem_8_2_conf() [5/9]

v8caccfloat negmul_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | int | sgn_x,
|  | v16cbfloat16 | v2,
|  | int | sgn_y,
|  | int | sub_mask,
|  | int | sub_mul )

Parameters

  v1 | Matrix A
  sgn_x | Sign of input A
  v2 | Matrix B
  sgn_y | Sign of input B
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ negmul_elem_8_2_conf() [6/9]

v8caccfloat negmul_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | int | sub_mask,
|  | int | sub_mul )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ negmul_elem_8_2_conf() [7/9]

v8caccfloat negmul_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16bfloat16 | v2,
|  | int | sub_mul )

Parameters

  a | Matrix A
  b | Matrix B
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ negmul_elem_8_2_conf() [8/9]

v8caccfloat negmul_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | int | sub_mask,
|  | int | sub_mul )

Parameters

  v1 | Matrix A
  v2 | Matrix B
  sub_mask | Complex negation mask of multiplication result
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ negmul_elem_8_2_conf() [9/9]

v8caccfloat negmul_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | int | sub_mul )

Parameters

  a | Matrix A
  b | Matrix B
  sub_mul | Negation mask of multiplication result

Returns
  Result of operation

## ◆ submac_elem_8_2_conf()

v8caccfloat submac_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation

## ◆ submsc_elem_8_2_conf()

v8caccfloat submsc_elem_8_2_conf | ( | v16cbfloat16 | v1,
|  | v16cbfloat16 | v2,
|  | v8caccfloat | acc1,
|  | v8caccfloat | acc2,
|  | int | zero_acc1,
|  | int | sub_mul,
|  | int | sub_acc1,
|  | int | sub_acc2 )

Parameters

  a | Matrix A
  b | Matrix B
  acc1 | Accumulator 1 input
  acc2 | Accumulator 2 input
  zero_acc1 | Zeroing mask for acc1
  sub_mul | Negation mask of multiplication result
  sub_acc1 | Negation mask of acc1
  sub_acc2 | Negation mask of acc2

Returns
  Result of operation